# Interface ExpressionStatementTree

All Superinterfaces:
  `StatementTree, Tree`

public interface ExpressionStatementTree extends StatementTree
A tree node for an expression statement. For example:

      expression ;

See Java Language Specification:
  14.8 Expression Statements
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionTree`
  `getExpression()`
  Returns the expression constituting this statement.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getExpression

    ExpressionTree getExpression()
    Returns the expression constituting this statement.
    Returns:
      the expression